<?php
/**
 * 
 * @file comment_edit.php
 * @copyright (c) 2005 - 2007 eifr.com
 * @license http://www.gnu.org/copyleft/gpl.html gnu/gpl
 * eifr is free software
 */

require_once('../../includes/inc_admin.php');
require_once('class_comment.php');

$url = 'mod_comment/comment_edit.php';
Common::checkAdminFileAuth($url); //check file authority
$clComComment = new ComComment();

$act = kGet('act');
switch ($act) {
    case 'save_add':
        $clComComment -> addRecords();
        break;

    case 'save_edit':
        $clComComment -> editRecords();
        break;

    case 'delete':
        $clComComment -> recycleRecords();
        break;

    case 'delete_forever':
        $clComComment -> deleteRecords();
        break;

    case 'edit':
        $clComComment -> layout_comment_edit();
        break;
} 

?>